DIFF(1)

NAME
slack-diff - compare file contents, modes, etc

SYNOPSIS
slack-diff [OPTION]... FILE1 FILE2

DESCRIPTION
A wrapper for diff that displays file modes and other metadata changes.

-u  -U NUM  --unified[=NUM]
    Tell diff(1) to use unified output format.

--diff PROG
    Use this program for diffing, instead of diff.

--fakediff
    Make a fake diff for file modes and other things that are not file contents. Default is on, can be disabled with --nofakediff.

-r  --recursive
    Recursively compare any subdirectories found.

-N  --new-file
    Treat missing files as empty. Default is on, can be disabled with --nonew-file.

--unidirectional-new-file
    Treat only missing files in the first directory as empty.

--from-file
    Treat arguments as a list of files from which to read filenames to compare, two lines at a time.

-0  --null
    Use NULLs instead of newlines as the separator in --from-file mode.

--devnullhack
    You have a version of diff that can't deal with -N when not in recursive mode, so we need to feed it /dev/null instead of the missing file. Default is on, can be disabled with --nodevnullhack.

--version
    Output version info.

--help
    Output this help.

FILES are `FILE1 FILE2' or `DIR1 DIR2' or `DIR FILE...' or `FILE... DIR'. If --from-file or --to-file is given, there are no restrictions on FILES. If a FILE is `-', read standard input.

SEE ALSO
diff(1)